wai-logger-0.3.1: A logging system for WAI

Safe Haskell | None

Network.Wai.Logger.Format

Contents

- Builder

Synopsis

- data IPAddrSource
  - = FromSocket
  - | FromHeader
- apacheFormat :: IPAddrSource -> ZonedDate -> Request -> Status -> Maybe Integer -> [LogStr]
- apacheFormatBuilder :: IPAddrSource -> ZonedDate -> Request -> Status -> Maybe Integer -> Builder

# Documentation

data IPAddrSource Source

Source from which the IP source address of the client is obtained.

Constructors

FromSocket | From the peer address of the HTTP connection.
FromHeader | From X-Real-IP: or X-Forwarded-For: in the HTTP header.

apacheFormat :: IPAddrSource -> ZonedDate -> Request -> Status -> Maybe Integer -> [LogStr]Source

Apache style log format.

# Builder

apacheFormatBuilder :: IPAddrSource -> ZonedDate -> Request -> Status -> Maybe Integer -> Builder Source

Apache style log format with `Builder`. This is experimental. This would replace `apacheFormat` someday.